Problems with rake when installing redmine

Added by Marcel Saraiva about 8 years ago

I have been trying to install redmine 0.8.7. And i have been getting this error.
Can someone help me solve it

Without trace

_limeaa@limpopo:/opt/redmine-0.8.2/redmine-0.8.2$ rake generate_session_store
(in /opt/redmine-0.8.2/redmine-0.8.2)
rake aborted!
Don't know how to build task 'generate_session_store'

(See full trace by running task with --trace)_

With trace

limeaa@limpopo:/opt/redmine-0.8.2/redmine-0.8.2$ rake generate_session_store --trace
(in /opt/redmine-0.8.2/redmine-0.8.2)
rake aborted!
Don't know how to build task 'generate_session_store'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1728:in `[]'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2050:in `invoke_task'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `each'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2023:in `top_level'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2001:in `run'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31
/usr/local/bin/rake:19:in `load'
/usr/local/bin/rake:19
limeaa@limpopo:/opt/redmine-0.8.2/redmine-0.8.2$

Thanks in advance for all the help.

Replies (11)

RE: Problems with rake when installing redmine - Added by Marcel Saraiva about 8 years ago

Sorry redmine 0.8.2 not 0.8.7.

RE: Problems with rake when installing redmine - Added by Alfredo Bonilla about 8 years ago

I would install a newer version... more functionalities, etc...
Anyway, I think you have to exec this script instead of the other one:

rake config/initializers/session_store.rb

Look at http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade for details

RE: Problems with rake when installing redmine - Added by Marcel Saraiva about 8 years ago

Hi thanks for the reply but i have tried that and it didnt work.

I'll try the upgrade thought.

RE: Problems with rake when installing redmine - Added by Marcel Saraiva about 8 years ago

I am now trying to install redmine 1.2.0

I have encountered the following error:
rake aborted!
no such file to load -- openssl

While executing the command:
rake db:migrate

Can someone give me some tips on how to solve it.

Regards and Thanks in advance for the help.

RE: Problems with rake when installing redmine - Added by Alex A about 8 years ago

You must install ruby with openssl extension.

RE: Problems with rake when installing redmine - Added by 宋 伟 about 8 years ago

Maybe you should set the Mysql corectly and run the following command,

create database redmine character set utf8;
create user 'redmine''localhost' identified by 'my_password';
grant all privileges on redmine.* to 'redmine'
'localhost';

At first i have forget the third command,and meet the same problem as you.
Also,do not forget to change the config/database.yml in redmine install directory.

RE: Problems with rake when installing redmine - Added by Marcel Saraiva almost 8 years ago

I have set mysql correctly.
And i have installed the libopenssl plugin but i keep getting the error:
rake aborted!
no such file to load -- openssl

Could somebody help please.

Regards

MS

RE: Problems with rake when installing redmine - Added by Alex A almost 8 years ago

Yuo must reinstall ruby from sources with openssl support

RE: Problems with rake when installing redmine - Added by Alex A almost 8 years ago

from HowTo

cd ~/Downloads  # YOUR FOLDER OF CHOICE
ftp ftp.ruby-lang.org
cd /pub/ruby
get ruby-1.8.7.pXXX.tar.gz
tar zxvf ruby-1.8.7.pXXX.tar.gz ruby-1.8.7.pXXX
cd ruby-1.8.7.pXXX
./configure
make
make install
ruby -v
which ruby
cd ..

RE: Problems with rake when installing redmine - Added by Marcel Saraiva almost 8 years ago

i have solved the previous error but now im getting following error when i try the rake db:migrate command:

rake aborted!
no such file to load -- mysql

Can someone help me please!!

(1-11/11)